Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class GraphI18n

    java.lang.Object
      org.modeshape.jcr.GraphI18n

    public final class GraphI18n

extends Object

The internationalized string constants for the `org.modeshape.graph*` packages.

Field Summary
`static I18n` | `actualLocationDoesNotHaveCorrectChildName`
`static I18n` | `actualLocationIsNotAtCorrectChildSegment`
`static I18n` | `actualLocationIsNotChildOfInputLocation`
`static I18n` | `actualLocationMustHavePath`
`static I18n` | `actualLocationNotEqualToInputLocation`
`static I18n` | `actualNewLocationIsNotSameAsInputLocation`
`static I18n` | `actualNewLocationMustHavePath`
`static I18n` | `actualNewLocationMustHaveSameNameAsRequest`
`static I18n` | `actualNewLocationMustHaveSameParentAsOldLocation`
`static I18n` | `actualOldLocationIsNotSameAsInputLocation`
`static I18n` | `actualOldLocationMustHavePath`
`static I18n` | `aliasesMappedToRealNamespacesButWereNotRegisteredInAliasNamespace`
`static I18n` | `bindVariableMustConformToNcName`
`static I18n` | `childNotFound`
`static I18n` | `cloneLimitedToBeWithinSingleSource`
`static I18n` | `closedConnectionMayNotBeUsed`
`static I18n` | `closedRequestProcessor`
`static I18n` | `closingRequestProcessor`
`static I18n` | `columnDoesNotExistInQuery`
`static I18n` | `columnDoesNotExistOnTable`
`static I18n` | `columnInTableIsNotOrderable`
`static I18n` | `columnIsNotFullTextSearchable`
`static I18n` | `columnMustBeScoped`
`static I18n` | `columnTypeCannotBeUsedInArithmeticOperation`
`static I18n` | `contentPropertyCategory`
`static I18n` | `contentPropertyDescription`
`static I18n` | `contentPropertyLabel`
`static I18n` | `copyLimitedToBeWithinSingleSource`
`static I18n` | `couldNotAcquireLock`
`static I18n` | `creatingWorkspacesAllowedPropertyCategory`
`static I18n` | `creatingWorkspacesAllowedPropertyDescription`
`static I18n` | `creatingWorkspacesAllowedPropertyLabel`
`static I18n` | `currentWorkspaceCannotBeDeleted`
`static I18n` | `defaultWorkspaceNamePropertyCategory`
`static I18n` | `defaultWorkspaceNamePropertyDescription`
`static I18n` | `defaultWorkspaceNamePropertyLabel`
`static I18n` | `dynamicOperandCannotBeUsedInArithmeticOperation`
`static I18n` | `errorAddingProjectionRuleParseMethod`
`static I18n` | `errorConvertingIo`
`static I18n` | `errorConvertingType`
`static I18n` | `errorImportingContent`
`static I18n` | `errorNotifyingObserver`
`static I18n` | `errorReadingConfigurationForFederatedRepositorySource`
`static I18n` | `errorReadingPropertyValueBytes`
`static I18n` | `errorResolvingNodesFromLocationsUsingSourceAndWorkspace`
`static I18n` | `errorSerializingInMemoryCachePolicyInSource`
`static I18n` | `errorSerializingNodeCachePolicyInSource`
`static I18n` | `errorShuttingDownExecutorServiceInSearchEngineIndexer`
`static I18n` | `errorWhilePerformingAccessQuery`
`static I18n` | `errorWhilePerformingQuery`
`static I18n` | `executedRequest`
`static I18n` | `executingRequest`
`static I18n` | `expectingComparisonOperator`
`static I18n` | `expectingConstraintCondition`
`static I18n` | `expectingLiteralAndUnableToParseAsDate`
`static I18n` | `expectingLiteralAndUnableToParseAsDouble`
`static I18n` | `expectingLiteralAndUnableToParseAsLong`
`static I18n` | `expectingValidName`
`static I18n` | `expectingValidNameAtLineAndColumn`
`static I18n` | `expectingValidPathAtLineAndColumn`
`static I18n` | `federatedRepositorySourceMustBeInitialized`
`static I18n` | `federatedSourceDoesNotSupportCloningWorkspaces`
`static I18n` | `federatedSourceDoesNotSupportCreatingWorkspaces`
`static I18n` | `federatedSourceDoesNotSupportDestroyingWorkspaces`
`static I18n` | `functionIsAmbiguous`
`static I18n` | `identifierPathContainedUnsupportedIdentifierFormat`
`static I18n` | `identifierPathDoesNotMatchSuppliedUuid`
`static I18n` | `inMemoryConnectorMustAllowUpdates`
`static I18n` | `inMemoryConnectorRequestsMustHavePathOrUuid`
`static I18n` | `interruptedWhileClosingChannel`
`static I18n` | `invalidIndexInSegmentName`
`static I18n` | `invalidPropertyType`
`static I18n` | `invalidQualifiedNameString`
`static I18n` | `jndiNamePropertyCategory`
`static I18n` | `jndiNamePropertyDescription`
`static I18n` | `jndiNamePropertyLabel`
`static I18n` | `leftAndRightQueriesInSetQueryMustHaveUnionableColumns`
`static I18n` | `lengthOperandRequiresLongLiteralType`
`static I18n` | `locationCannotBeProjectedIntoWorkspaceAndSource`
`static I18n` | `maximumPoolSizeMayNotBeSmallerThanCorePoolSize`
`static I18n` | `messageDigestNotFound`
`static I18n` | `missingClosingBrace`
`static I18n` | `missingEndBracketInSegmentName`
`static I18n` | `missingVariableValue`
`static I18n` | `moveLimitedToBeWithinSingleSource`
`static I18n` | `multipleErrorsWhileExecutingManyRequests`
`static I18n` | `multipleErrorsWhileExecutingRequests`
`static I18n` | `mustBeScopedAtLineAndColumn`
`static I18n` | `nameOperandRequiresNameLiteralType`
`static I18n` | `namePropertyCategory`
`static I18n` | `namePropertyDescription`
`static I18n` | `namePropertyIsRequiredForFederatedRepositorySource`
`static I18n` | `namePropertyLabel`
`static I18n` | `namespaceAliasWasNotMappedToRealNamespace`
`static I18n` | `nextMethodMustBeCalledBeforeGettingValue`
`static I18n` | `nodeAlreadyExistsWithUuid`
`static I18n` | `nodeDoesNotExist`
`static I18n` | `nodeDoesNotExistWithUuid`
`static I18n` | `nodeHasAlreadyBeenRemovedFromThisSession`
`static I18n` | `noMatchingBracketFound`
`static I18n` | `noNamespaceRegisteredForPrefix`
`static I18n` | `noPropertiesToRemove`
`static I18n` | `noPropertiesToUpdate`
`static I18n` | `operatorIsNotValidAgainstColumnInTable`
`static I18n` | `pathAncestorDegreeIsInvalid`
`static I18n` | `pathCannotBeNormalized`
`static I18n` | `pathConnectorRequestsMustHavePath`
`static I18n` | `pathExpressionHasInvalidMatch`
`static I18n` | `pathExpressionHasInvalidSelect`
`static I18n` | `pathExpressionIsInvalid`
`static I18n` | `pathExpressionMayNotBeBlank`
`static I18n` | `pathIsAlreadyAbsolute`
`static I18n` | `pathIsNotAbsolute`
`static I18n` | `pathIsNotRelative`
`static I18n` | `pathIsNotValid`
`static I18n` | `pathMustBeAbsolute`
`static I18n` | `pathNotFoundExceptionLowestExistingLocationFound`
`static I18n` | `poolCorePoolSizeCategory`
`static I18n` | `poolCorePoolSizeDescription`
`static I18n` | `poolCorePoolSizeLabel`
`static I18n` | `poolKeepAliveTimeCategory`
`static I18n` | `poolKeepAliveTimeDescription`
`static I18n` | `poolKeepAliveTimeLabel`
`static I18n` | `poolMaximumFailedAttemptsBeforeErrorCategory`
`static I18n` | `poolMaximumFailedAttemptsBeforeErrorDescription`
`static I18n` | `poolMaximumFailedAttemptsBeforeErrorLabel`
`static I18n` | `poolMaxiumumPoolSizeCategory`
`static I18n` | `poolMaxiumumPoolSizeDescription`
`static I18n` | `poolMaxiumumPoolSizeLabel`
`static I18n` | `poolPingTimeoutCategory`
`static I18n` | `poolPingTimeoutDescription`
`static I18n` | `poolPingTimeoutLabel`
`static I18n` | `poolValidateConnectionBeforeUseCategory`
`static I18n` | `poolValidateConnectionBeforeUseDescription`
`static I18n` | `poolValidateConnectionBeforeUseLabel`
`static I18n` | `predefinedWorkspaceNamesPropertyCategory`
`static I18n` | `predefinedWorkspaceNamesPropertyDescription`
`static I18n` | `predefinedWorkspaceNamesPropertyLabel`
`static I18n` | `propertyIsNotPartOfRequest`
`static I18n` | `propertyIsRequiredForFederatedRepositorySource`
`static I18n` | `propertyOnSelectorIsNotUsedInQuery`
`static I18n` | `queryHasNoResults`
`static I18n` | `repositoryConnectionPoolIsNotRunning`
`static I18n` | `requestIsFrozenAndMayNotBeChanged`
`static I18n` | `requiredNodeDoesNotExistRelativeToNode`
`static I18n` | `retryLimitPropertyCategory`
`static I18n` | `retryLimitPropertyDescription`
`static I18n` | `retryLimitPropertyLabel`
`static I18n` | `rootNodeUuidPropertyCategory`
`static I18n` | `rootNodeUuidPropertyDescription`
`static I18n` | `rootNodeUuidPropertyLabel`
`static I18n` | `rootNodeUuidWithDefaultPropertyDescription`
`static I18n` | `schemataKeyReferencesNonExistingColumn`
`static I18n` | `searchEngineIndexerForSourceHasAlreadyBeenClosed`
`static I18n` | `secondValueInLimitRangeCannotBeLessThanFirst`
`static I18n` | `selectorDoesNotExistInQuery`
`static I18n` | `selectorNamesMayNotBeUsedMoreThanOnce`
`static I18n` | `sourceDoesNotAllowCreatingWorkspaces`
`static I18n` | `sourceIsReadOnly`
`static I18n` | `tableDoesNotExist`
`static I18n` | `tableIsNotFullTextSearchable`
`static I18n` | `unableToAddMoreRequestsToAlreadyExecutedBatch`
`static I18n` | `unableToAddRequestToChannelThatIsDone`
`static I18n` | `unableToCopyToLocationWithoutAPath`
`static I18n` | `unableToCopyToTheRoot`
`static I18n` | `unableToCreateNodeUnderPlaceholder`
`static I18n` | `unableToCreatePathBasedUponIdentifierPath`
`static I18n` | `unableToCreatePathUsingIdentifierPathAndAnotherPath`
`static I18n` | `unableToCreateReferenceToNodeWithoutUuid`
`static I18n` | `unableToCreateRelativePathWithIdentifierSegment`
`static I18n` | `unableToCreateSubpathBeginIndexGreaterThanOrEqualToEndingIndex`
`static I18n` | `unableToCreateSubpathBeginIndexGreaterThanOrEqualToSize`
`static I18n` | `unableToCreateValue`
`static I18n` | `unableToDeletePlaceholder`
`static I18n` | `unableToDiscoverPropertyTypeForNullValue`
`static I18n` | `unableToFindRepositorySourceWithName`
`static I18n` | `unableToMoveNodeToBeChildOfDecendent`
`static I18n` | `unableToObtainConnectionToFederatedSource`
`static I18n` | `unableToObtainValidRepositoryAfterAttempts`
`static I18n` | `unableToProjectSourceInformationIntoWorkspace`
`static I18n` | `unableToRefreshBranchBecauseChangesDependOnChangesToNodesOutsideOfBranch`
`static I18n` | `unableToRefreshPropertiesBecauseNodeIsModified`
`static I18n` | `unableToResolvePathRelativeToIdentifierPath`
`static I18n` | `unableToSaveBranchBecauseChangesDependOnChangesToNodesOutsideOfBranch`
`static I18n` | `unableToSaveNodeThatWasCreatedSincePreviousSave`
`static I18n` | `unableToUpdatePlaceholder`
`static I18n` | `unexpectedClosingParenthesis`
`static I18n` | `unexpectedToken`
`static I18n` | `unknownQueryLanguage`
`static I18n` | `unsupportedRequestType`
`static I18n` | `updatesAllowedPropertyCategory`
`static I18n` | `updatesAllowedPropertyDescription`
`static I18n` | `updatesAllowedPropertyLabel`
`static I18n` | `validPathMayNotContainEmptySegment`
`static I18n` | `valueCannotBeCastToSpecifiedType`
`static I18n` | `valueJavaTypeNotCompatibleWithPropertyType`
`static I18n` | `workspaceAlreadyExistsInRepository`
`static I18n` | `workspaceDoesNotExistInFederatedRepository`
`static I18n` | `workspaceDoesNotExistInRepository`
`static I18n` | `workspaceIsReadOnly`

Constructor Summary
`GraphI18n()`

Method Summary
`static Set<Locale>` | `getLocalizationProblemLocales()`
`static Set<String>` | `getLocalizationProblems()`
`static Set<String>` | `getLocalizationProblems(Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### closedConnectionMayNotBeUsed

    public static I18n closedConnectionMayNotBeUsed

### errorConvertingIo

    public static I18n errorConvertingIo

### errorConvertingType

    public static I18n errorConvertingType

### errorReadingPropertyValueBytes

    public static I18n errorReadingPropertyValueBytes

### invalidIndexInSegmentName

    public static I18n invalidIndexInSegmentName

### invalidQualifiedNameString

    public static I18n invalidQualifiedNameString

### maximumPoolSizeMayNotBeSmallerThanCorePoolSize

    public static I18n maximumPoolSizeMayNotBeSmallerThanCorePoolSize

### missingEndBracketInSegmentName

    public static I18n missingEndBracketInSegmentName

### noNamespaceRegisteredForPrefix

    public static I18n noNamespaceRegisteredForPrefix

### pathAncestorDegreeIsInvalid

    public static I18n pathAncestorDegreeIsInvalid

### pathCannotBeNormalized

    public static I18n pathCannotBeNormalized

### pathIsAlreadyAbsolute

    public static I18n pathIsAlreadyAbsolute

### pathIsNotAbsolute

    public static I18n pathIsNotAbsolute

### pathIsNotRelative

    public static I18n pathIsNotRelative

### identifierPathContainedUnsupportedIdentifierFormat

    public static I18n identifierPathContainedUnsupportedIdentifierFormat

### identifierPathDoesNotMatchSuppliedUuid

    public static I18n identifierPathDoesNotMatchSuppliedUuid

### unableToResolvePathRelativeToIdentifierPath

    public static I18n unableToResolvePathRelativeToIdentifierPath

### unableToCreateRelativePathWithIdentifierSegment

    public static I18n unableToCreateRelativePathWithIdentifierSegment

### unableToCreatePathBasedUponIdentifierPath

    public static I18n unableToCreatePathBasedUponIdentifierPath

### unableToCreatePathUsingIdentifierPathAndAnotherPath

    public static I18n unableToCreatePathUsingIdentifierPathAndAnotherPath

### repositoryConnectionPoolIsNotRunning

    public static I18n repositoryConnectionPoolIsNotRunning

### unableToCreateSubpathBeginIndexGreaterThanOrEqualToEndingIndex

    public static I18n unableToCreateSubpathBeginIndexGreaterThanOrEqualToEndingIndex

### unableToCreateSubpathBeginIndexGreaterThanOrEqualToSize

    public static I18n unableToCreateSubpathBeginIndexGreaterThanOrEqualToSize

### unableToCreateValue

    public static I18n unableToCreateValue

### unableToDiscoverPropertyTypeForNullValue

    public static I18n unableToDiscoverPropertyTypeForNullValue

### unableToObtainValidRepositoryAfterAttempts

    public static I18n unableToObtainValidRepositoryAfterAttempts

### validPathMayNotContainEmptySegment

    public static I18n validPathMayNotContainEmptySegment

### missingClosingBrace

    public static I18n missingClosingBrace

### valueJavaTypeNotCompatibleWithPropertyType

    public static I18n valueJavaTypeNotCompatibleWithPropertyType

### pathExpressionMayNotBeBlank

    public static I18n pathExpressionMayNotBeBlank

### pathExpressionIsInvalid

    public static I18n pathExpressionIsInvalid

### pathExpressionHasInvalidSelect

    public static I18n pathExpressionHasInvalidSelect

### pathExpressionHasInvalidMatch

    public static I18n pathExpressionHasInvalidMatch

### messageDigestNotFound

    public static I18n messageDigestNotFound

### pathNotFoundExceptionLowestExistingLocationFound

    public static I18n pathNotFoundExceptionLowestExistingLocationFound

### executingRequest

    public static I18n executingRequest

### executedRequest

    public static I18n executedRequest

### closingRequestProcessor

    public static I18n closingRequestProcessor

### closedRequestProcessor

    public static I18n closedRequestProcessor

### multipleErrorsWhileExecutingManyRequests

    public static I18n multipleErrorsWhileExecutingManyRequests

### multipleErrorsWhileExecutingRequests

    public static I18n multipleErrorsWhileExecutingRequests

### errorWhilePerformingAccessQuery

    public static I18n errorWhilePerformingAccessQuery

### unsupportedRequestType

    public static I18n unsupportedRequestType

### unableToAddMoreRequestsToAlreadyExecutedBatch

    public static I18n unableToAddMoreRequestsToAlreadyExecutedBatch

### unableToCreateReferenceToNodeWithoutUuid

    public static I18n unableToCreateReferenceToNodeWithoutUuid

### unableToCopyToLocationWithoutAPath

    public static I18n unableToCopyToLocationWithoutAPath

### unableToCopyToTheRoot

    public static I18n unableToCopyToTheRoot

### actualLocationNotEqualToInputLocation

    public static I18n actualLocationNotEqualToInputLocation

### actualLocationIsNotChildOfInputLocation

    public static I18n actualLocationIsNotChildOfInputLocation

### actualLocationIsNotAtCorrectChildSegment

    public static I18n actualLocationIsNotAtCorrectChildSegment

### actualLocationDoesNotHaveCorrectChildName

    public static I18n actualLocationDoesNotHaveCorrectChildName

### actualLocationMustHavePath

    public static I18n actualLocationMustHavePath

### actualNewLocationIsNotSameAsInputLocation

    public static I18n actualNewLocationIsNotSameAsInputLocation

### actualNewLocationMustHavePath

    public static I18n actualNewLocationMustHavePath

### actualOldLocationIsNotSameAsInputLocation

    public static I18n actualOldLocationIsNotSameAsInputLocation

### actualOldLocationMustHavePath

    public static I18n actualOldLocationMustHavePath

### actualNewLocationMustHaveSameParentAsOldLocation

    public static I18n actualNewLocationMustHaveSameParentAsOldLocation

### actualNewLocationMustHaveSameNameAsRequest

    public static I18n actualNewLocationMustHaveSameNameAsRequest

### requestIsFrozenAndMayNotBeChanged

    public static I18n requestIsFrozenAndMayNotBeChanged

### propertyIsNotPartOfRequest

    public static I18n propertyIsNotPartOfRequest

### namespaceAliasWasNotMappedToRealNamespace

    public static I18n namespaceAliasWasNotMappedToRealNamespace

### aliasesMappedToRealNamespacesButWereNotRegisteredInAliasNamespace

    public static I18n aliasesMappedToRealNamespacesButWereNotRegisteredInAliasNamespace

### noPropertiesToUpdate

    public static I18n noPropertiesToUpdate

### noPropertiesToRemove

    public static I18n noPropertiesToRemove

### errorImportingContent

    public static I18n errorImportingContent

### unableToFindRepositorySourceWithName

    public static I18n unableToFindRepositorySourceWithName

### nodeAlreadyExistsWithUuid

    public static I18n nodeAlreadyExistsWithUuid

### nodeDoesNotExistWithUuid

    public static I18n nodeDoesNotExistWithUuid

### couldNotAcquireLock

    public static I18n couldNotAcquireLock

### errorNotifyingObserver

    public static I18n errorNotifyingObserver

### errorSerializingNodeCachePolicyInSource

    public static I18n errorSerializingNodeCachePolicyInSource

### nodeDoesNotExist

    public static I18n nodeDoesNotExist

### errorSerializingInMemoryCachePolicyInSource

    public static I18n errorSerializingInMemoryCachePolicyInSource

### inMemoryConnectorRequestsMustHavePathOrUuid

    public static I18n inMemoryConnectorRequestsMustHavePathOrUuid

### inMemoryConnectorMustAllowUpdates

    public static I18n inMemoryConnectorMustAllowUpdates

### pathConnectorRequestsMustHavePath

    public static I18n pathConnectorRequestsMustHavePath

### workspaceDoesNotExistInRepository

    public static I18n workspaceDoesNotExistInRepository

### workspaceAlreadyExistsInRepository

    public static I18n workspaceAlreadyExistsInRepository

### currentWorkspaceCannotBeDeleted

    public static I18n currentWorkspaceCannotBeDeleted

### sourceIsReadOnly

    public static I18n sourceIsReadOnly

### workspaceIsReadOnly

    public static I18n workspaceIsReadOnly

### sourceDoesNotAllowCreatingWorkspaces

    public static I18n sourceDoesNotAllowCreatingWorkspaces

### namePropertyDescription

    public static I18n namePropertyDescription

### namePropertyLabel

    public static I18n namePropertyLabel

### namePropertyCategory

    public static I18n namePropertyCategory

### jndiNamePropertyDescription

    public static I18n jndiNamePropertyDescription

### jndiNamePropertyLabel

    public static I18n jndiNamePropertyLabel

### jndiNamePropertyCategory

    public static I18n jndiNamePropertyCategory

### defaultWorkspaceNamePropertyDescription

    public static I18n defaultWorkspaceNamePropertyDescription

### defaultWorkspaceNamePropertyLabel

    public static I18n defaultWorkspaceNamePropertyLabel

### defaultWorkspaceNamePropertyCategory

    public static I18n defaultWorkspaceNamePropertyCategory

### rootNodeUuidWithDefaultPropertyDescription

    public static I18n rootNodeUuidWithDefaultPropertyDescription

### rootNodeUuidPropertyDescription

    public static I18n rootNodeUuidPropertyDescription

### rootNodeUuidPropertyLabel

    public static I18n rootNodeUuidPropertyLabel

### rootNodeUuidPropertyCategory

    public static I18n rootNodeUuidPropertyCategory

### predefinedWorkspaceNamesPropertyDescription

    public static I18n predefinedWorkspaceNamesPropertyDescription

### predefinedWorkspaceNamesPropertyLabel

    public static I18n predefinedWorkspaceNamesPropertyLabel

### predefinedWorkspaceNamesPropertyCategory

    public static I18n predefinedWorkspaceNamesPropertyCategory

### retryLimitPropertyDescription

    public static I18n retryLimitPropertyDescription

### retryLimitPropertyLabel

    public static I18n retryLimitPropertyLabel

### retryLimitPropertyCategory

    public static I18n retryLimitPropertyCategory

### updatesAllowedPropertyDescription

    public static I18n updatesAllowedPropertyDescription

### updatesAllowedPropertyLabel

    public static I18n updatesAllowedPropertyLabel

### updatesAllowedPropertyCategory

    public static I18n updatesAllowedPropertyCategory

### creatingWorkspacesAllowedPropertyDescription

    public static I18n creatingWorkspacesAllowedPropertyDescription

### creatingWorkspacesAllowedPropertyLabel

    public static I18n creatingWorkspacesAllowedPropertyLabel

### creatingWorkspacesAllowedPropertyCategory

    public static I18n creatingWorkspacesAllowedPropertyCategory

### contentPropertyDescription

    public static I18n contentPropertyDescription

### contentPropertyLabel

    public static I18n contentPropertyLabel

### contentPropertyCategory

    public static I18n contentPropertyCategory

### namePropertyIsRequiredForFederatedRepositorySource

    public static I18n namePropertyIsRequiredForFederatedRepositorySource

### propertyIsRequiredForFederatedRepositorySource

    public static I18n propertyIsRequiredForFederatedRepositorySource

### federatedRepositorySourceMustBeInitialized

    public static I18n federatedRepositorySourceMustBeInitialized

### errorReadingConfigurationForFederatedRepositorySource

    public static I18n errorReadingConfigurationForFederatedRepositorySource

### errorAddingProjectionRuleParseMethod

    public static I18n errorAddingProjectionRuleParseMethod

### requiredNodeDoesNotExistRelativeToNode

    public static I18n requiredNodeDoesNotExistRelativeToNode

### unableToObtainConnectionToFederatedSource

    public static I18n unableToObtainConnectionToFederatedSource

### workspaceDoesNotExistInFederatedRepository

    public static I18n workspaceDoesNotExistInFederatedRepository

### locationCannotBeProjectedIntoWorkspaceAndSource

    public static I18n locationCannotBeProjectedIntoWorkspaceAndSource

### unableToAddRequestToChannelThatIsDone

    public static I18n unableToAddRequestToChannelThatIsDone

### federatedSourceDoesNotSupportCreatingWorkspaces

    public static I18n federatedSourceDoesNotSupportCreatingWorkspaces

### federatedSourceDoesNotSupportCloningWorkspaces

    public static I18n federatedSourceDoesNotSupportCloningWorkspaces

### federatedSourceDoesNotSupportDestroyingWorkspaces

    public static I18n federatedSourceDoesNotSupportDestroyingWorkspaces

### unableToProjectSourceInformationIntoWorkspace

    public static I18n unableToProjectSourceInformationIntoWorkspace

### unableToCreateNodeUnderPlaceholder

    public static I18n unableToCreateNodeUnderPlaceholder

### unableToUpdatePlaceholder

    public static I18n unableToUpdatePlaceholder

### unableToDeletePlaceholder

    public static I18n unableToDeletePlaceholder

### copyLimitedToBeWithinSingleSource

    public static I18n copyLimitedToBeWithinSingleSource

### moveLimitedToBeWithinSingleSource

    public static I18n moveLimitedToBeWithinSingleSource

### cloneLimitedToBeWithinSingleSource

    public static I18n cloneLimitedToBeWithinSingleSource

### unableToRefreshBranchBecauseChangesDependOnChangesToNodesOutsideOfBranch

    public static I18n unableToRefreshBranchBecauseChangesDependOnChangesToNodesOutsideOfBranch

### unableToSaveBranchBecauseChangesDependOnChangesToNodesOutsideOfBranch

    public static I18n unableToSaveBranchBecauseChangesDependOnChangesToNodesOutsideOfBranch

### unableToSaveNodeThatWasCreatedSincePreviousSave

    public static I18n unableToSaveNodeThatWasCreatedSincePreviousSave

### nodeHasAlreadyBeenRemovedFromThisSession

    public static I18n nodeHasAlreadyBeenRemovedFromThisSession

### unableToMoveNodeToBeChildOfDecendent

    public static I18n unableToMoveNodeToBeChildOfDecendent

### childNotFound

    public static I18n childNotFound

### unableToRefreshPropertiesBecauseNodeIsModified

    public static I18n unableToRefreshPropertiesBecauseNodeIsModified

### unknownQueryLanguage

    public static I18n unknownQueryLanguage

### tableDoesNotExist

    public static I18n tableDoesNotExist

### columnDoesNotExistOnTable

    public static I18n columnDoesNotExistOnTable

### columnDoesNotExistInQuery

    public static I18n columnDoesNotExistInQuery

### columnIsNotFullTextSearchable

    public static I18n columnIsNotFullTextSearchable

### tableIsNotFullTextSearchable

    public static I18n tableIsNotFullTextSearchable

### columnTypeCannotBeUsedInArithmeticOperation

    public static I18n columnTypeCannotBeUsedInArithmeticOperation

### dynamicOperandCannotBeUsedInArithmeticOperation

    public static I18n dynamicOperandCannotBeUsedInArithmeticOperation

### selectorDoesNotExistInQuery

    public static I18n selectorDoesNotExistInQuery

### selectorNamesMayNotBeUsedMoreThanOnce

    public static I18n selectorNamesMayNotBeUsedMoreThanOnce

### propertyOnSelectorIsNotUsedInQuery

    public static I18n propertyOnSelectorIsNotUsedInQuery

### errorResolvingNodesFromLocationsUsingSourceAndWorkspace

    public static I18n errorResolvingNodesFromLocationsUsingSourceAndWorkspace

### queryHasNoResults

    public static I18n queryHasNoResults

### schemataKeyReferencesNonExistingColumn

    public static I18n schemataKeyReferencesNonExistingColumn

### nextMethodMustBeCalledBeforeGettingValue

    public static I18n nextMethodMustBeCalledBeforeGettingValue

### expectingValidName

    public static I18n expectingValidName

### pathIsNotValid

    public static I18n pathIsNotValid

### pathMustBeAbsolute

    public static I18n pathMustBeAbsolute

### columnMustBeScoped

    public static I18n columnMustBeScoped

### expectingValidNameAtLineAndColumn

    public static I18n expectingValidNameAtLineAndColumn

### expectingValidPathAtLineAndColumn

    public static I18n expectingValidPathAtLineAndColumn

### mustBeScopedAtLineAndColumn

    public static I18n mustBeScopedAtLineAndColumn

### unexpectedToken

    public static I18n unexpectedToken

### secondValueInLimitRangeCannotBeLessThanFirst

    public static I18n secondValueInLimitRangeCannotBeLessThanFirst

### expectingComparisonOperator

    public static I18n expectingComparisonOperator

### expectingConstraintCondition

    public static I18n expectingConstraintCondition

### functionIsAmbiguous

    public static I18n functionIsAmbiguous

### bindVariableMustConformToNcName

    public static I18n bindVariableMustConformToNcName

### invalidPropertyType

    public static I18n invalidPropertyType

### valueCannotBeCastToSpecifiedType

    public static I18n valueCannotBeCastToSpecifiedType

### noMatchingBracketFound

    public static I18n noMatchingBracketFound

### expectingLiteralAndUnableToParseAsLong

    public static I18n expectingLiteralAndUnableToParseAsLong

### expectingLiteralAndUnableToParseAsDouble

    public static I18n expectingLiteralAndUnableToParseAsDouble

### expectingLiteralAndUnableToParseAsDate

    public static I18n expectingLiteralAndUnableToParseAsDate

### unexpectedClosingParenthesis

    public static I18n unexpectedClosingParenthesis

### leftAndRightQueriesInSetQueryMustHaveUnionableColumns

    public static I18n leftAndRightQueriesInSetQueryMustHaveUnionableColumns

### operatorIsNotValidAgainstColumnInTable

    public static I18n operatorIsNotValidAgainstColumnInTable

### columnInTableIsNotOrderable

    public static I18n columnInTableIsNotOrderable

### missingVariableValue

    public static I18n missingVariableValue

### lengthOperandRequiresLongLiteralType

    public static I18n lengthOperandRequiresLongLiteralType

### nameOperandRequiresNameLiteralType

    public static I18n nameOperandRequiresNameLiteralType

### interruptedWhileClosingChannel

    public static I18n interruptedWhileClosingChannel

### errorWhilePerformingQuery

    public static I18n errorWhilePerformingQuery

### errorShuttingDownExecutorServiceInSearchEngineIndexer

    public static I18n errorShuttingDownExecutorServiceInSearchEngineIndexer

### searchEngineIndexerForSourceHasAlreadyBeenClosed

    public static I18n searchEngineIndexerForSourceHasAlreadyBeenClosed

### poolKeepAliveTimeDescription

    public static I18n poolKeepAliveTimeDescription

### poolKeepAliveTimeLabel

    public static I18n poolKeepAliveTimeLabel

### poolKeepAliveTimeCategory

    public static I18n poolKeepAliveTimeCategory

### poolCorePoolSizeDescription

    public static I18n poolCorePoolSizeDescription

### poolCorePoolSizeLabel

    public static I18n poolCorePoolSizeLabel

### poolCorePoolSizeCategory

    public static I18n poolCorePoolSizeCategory

### poolMaxiumumPoolSizeDescription

    public static I18n poolMaxiumumPoolSizeDescription

### poolMaxiumumPoolSizeLabel

    public static I18n poolMaxiumumPoolSizeLabel

### poolMaxiumumPoolSizeCategory

    public static I18n poolMaxiumumPoolSizeCategory

### poolValidateConnectionBeforeUseDescription

    public static I18n poolValidateConnectionBeforeUseDescription

### poolValidateConnectionBeforeUseLabel

    public static I18n poolValidateConnectionBeforeUseLabel

### poolValidateConnectionBeforeUseCategory

    public static I18n poolValidateConnectionBeforeUseCategory

### poolPingTimeoutDescription

    public static I18n poolPingTimeoutDescription

### poolPingTimeoutLabel

    public static I18n poolPingTimeoutLabel

### poolPingTimeoutCategory

    public static I18n poolPingTimeoutCategory

### poolMaximumFailedAttemptsBeforeErrorDescription

    public static I18n poolMaximumFailedAttemptsBeforeErrorDescription

### poolMaximumFailedAttemptsBeforeErrorLabel

    public static I18n poolMaximumFailedAttemptsBeforeErrorLabel

### poolMaximumFailedAttemptsBeforeErrorCategory

    public static I18n poolMaximumFailedAttemptsBeforeErrorCategory

Constructor Detail

### GraphI18n

    public GraphI18n()

Method Detail

### getLocalizationProblemLocales

    public static Set<Locale> getLocalizationProblemLocales()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems(Locale locale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.